#!/bin/bash
# -----------------------------------------------------------------------------
# build.sh - Unix Build Script for RDFQuery
# -----------------------------------------------------------------------------

# ----- Verify and Set Required Environment Variables -------------------------
   

if [ "$JAVA_HOME" = "" ] ; then
  echo You must set JAVA_HOME to point at your Java Development Kit installation
  exit 1
fi

# ----- Set Up The Runtime Classpath ------------------------------------------

CP=.:$JAVA_HOME/lib/tools.jar:lib/jdbc6.4.jar:lib/jena.jar:lib/jpeg.jar:lib/jstyle.jar:lib/junit.jar:lib/rdf-api-2000-09-03.jar:lib/rdf-api-2001-01-19.jar:build/rdfquery/rdfquery.jar:lib/sax-1.0.jar:lib/sirpac-1.14.jar:lib/xerces_1_2_3.jar

 

# ----- Execute The Requested Build -------------------------------------------

$JAVA_HOME/bin/java  -classpath $CP test.AllTests 



