
import org.w3c.rdf.*;
import java.util.*;
import java.io.*;
import java.sql.*;
import java.net.*;
import org.desire.rudolf.util.ErrorLog;
import org.desire.rudolf.util.SearchReplace;
import org.desire.rudolf.rdf.*;
import org.desire.rudolf.query.modelcore.*;
import org.desire.rudolf.query.*;

public class test4 {



    public static void main(String args[]) {

        QE qe = new QE();


        String query =
                "select ?dd, ?date, ?x, ?mb  from "+ 
		" http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
		" and ?mb ne mailto:love26@gorge.net "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ ";

        System.out.println("\n\nTEST4a:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);  

        query =
                "select ?dd, ?date, ?x, ?mb  from "+ 
		" http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
		" and ?mb eq mailto:love26@gorge.net "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ ";

        System.out.println("\n\nTEST4b:\nQuery is:\n"+query + "\n");


	qe.executeQuery(query);  


        query =
                "select ?dd, ?date, ?x, ?mb  from "+ 
		" http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
		" and ?mb like mailto:love26@gorge.net "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ ";

        System.out.println("\n\nTEST4c:\nQuery is:\n"+query + "\n");


	qe.executeQuery(query);  

        query =
                "select ?dd, ?date, ?x, ?mb  from "+ 
		" http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
		" and ?mb ~ mailto:love26@gorge.net "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ ";

        System.out.println("\n\nTEST4d:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);  

        query =
                "select ?dd, ?date, ?x, ?mb  from "+ 
		" http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
		" and ?mb = mailto:love26@gorge.net "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ ";

        System.out.println("\n\nTEST4e:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);  



    }




}


