import org.desire.rudolf.query.*;
import org.desire.rudolf.query.modelcore.*;

public class test7 {

    /**

    testing SQL queries

    */

    public static void main(String args[]) {

        String sourceurl = "rdf:jdbc:postgresql://localhost:5432/codepict?auth=password&user=postgres&password=notneeded";

        String handler = SQLModelCore.class.getName();

                QE qe = new QE( new SQLModelCore().getInstance(sourceurl),
                        handler);

                String query = "select ?dd, ?date, ?x, ?val, ?mb "+ //		" from "+ " http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                        "  (foaf::location ?x ?l) (rdf::value ?l ?val) "+
                        "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
                        " using dc for http://purl.org/dc/elements/1.1/ "+
                        " foaf for http://xmlns.com/foaf/0.1/ "+ " rdf for http://www.w3.org/1999/02/22-rdf-syntax-ns# ";

                System.out.println("\n\nTEST7a:\nQuery is:\n"+query + "\n");

                java.sql.ResultSet r = qe.executeQuery(query);



        try {
            java.sql.ResultSetMetaData rm = r.getMetaData();
            int count = rm.getColumnCount();


            while (r.next()) {


                for (int i = 1; i < (count + 1); i++) {
                    String key = rm.getColumnLabel(i);
                    System.out.println(key);
                    System.out.println(r.getString(key));

                }


            }

        } catch (Exception e) {
            System.err.println("oops "+e);
            e.printStackTrace();
        }

    }



}



