import org.w3c.rdf.*;
import java.util.*;
import java.io.*;
import java.sql.*;
import java.net.*;
import org.desire.rudolf.util.ErrorLog;
import org.desire.rudolf.util.SearchReplace;
import org.desire.rudolf.rdf.*;
import org.desire.rudolf.query.modelcore.*;
import org.desire.rudolf.query.*;



public class test5 {





    public static void main(String args[]) {

        QE qe = new QE();

        String query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+ " USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5a:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);

        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal != 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5b:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);


        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal > 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5c:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);

        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal >= 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5d:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);


        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal < 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5e:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);



        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal <= 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5f:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);


        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal = 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5g:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);



        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal == 60000 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5h:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);


        query =
                "SELECT ?sal, ?t, ?x "+ " FROM "+ " http://ilrt.org/discovery/2000/11/rss-query/jobs-rss.rdf, "+
                " http://ilrt.org/discovery/2000/11/rss-query/jobs.rss "+
                " WHERE "+ "   (job::advertises ?x ?y) "+ "   (job::salary ?y ?sal) "+
                "   (job::title ?y ?t) "+
		" and ?sal > 60000 "+
		" and ?t ~ 2 "+
		" USING job for "+ " http://ilrt.org/discovery/2000/11/rss-query/jobvocab.rdf# ";

        System.out.println("\n\nTEST5i:\nQuery is:\n"+query + "\n");

	qe.executeQuery(query);


    }


}


