import org.desire.rudolf.query.*;

public class test6 {

/**

some of these tests should fail. I'm trying to test error handling of QE.java

*/

    public static void main(String args[]) {

        QE qe = new QE();

        String query =
                "select ?dd, ?date, ?x, ?val, ?mb "+
		" from "+ " http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::location ?x ?z) (rdf::value ?l ?val) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ "+
                " rdf for http://www.w3.org/1999/02/22-rdf-syntax-ns# ";

        System.out.println("\n\nTEST6a:\nQuery is:\n"+query + "\n");
        System.out.println("\n\ntest of a mistake in the variables. works\n");

        qe.executeQuery(query);

        query =
                "select ?dd, ?date, ?x, ?val, ?mb "+
		" from "+ " http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::madeup ?x ?dd) (dc::date ?x ?date) "+
                "  (foaf::location ?x ?z) (rdf::value ?l ?val) "+
                "  (foaf::depiction ?per ?x) (foaf::mbox ?per ?mb) "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ "+
                " rdf for http://www.w3.org/1999/02/22-rdf-syntax-ns# ";

        System.out.println("\n\nTEST6b:\nQuery is:\n"+query + "\n");
        System.out.println("\n\ntest of a mistake pred.should fail\n");

        qe.executeQuery(query);


        query =
                "select ?dd, ?mb "+
		" from "+ " http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (dc::description http://swordfish.rdfweb.org/photos/2001/04/23/000068.JPG ?dd) "+
                "  (foaf::depiction ?per http://swordfish.rdfweb.org/photos/2001/04/23/000068.JPG) (foaf::mbox ?per ?mb) "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ "+
                " rdf for http://www.w3.org/1999/02/22-rdf-syntax-ns# ";

        System.out.println("\n\nTEST6d:\nQuery is:\n"+query + "\n");
        System.out.println("\n\ntest of a url as link, should pass\n");

        qe.executeQuery(query);

        query =
                "select ?pred, ?dd "+
		" from "+ " http://swordfish.rdfweb.org/photos/rdf/000068.rdf "+
                " where (?pred http://swordfish.rdfweb.org/photos/2001/04/23/000068.JPG ?dd) "+
                " using dc for http://purl.org/dc/elements/1.1/ "+
                " foaf for http://xmlns.com/foaf/0.1/ "+
                " rdf for http://www.w3.org/1999/02/22-rdf-syntax-ns# ";

        System.out.println("\n\nTEST6d:\nQuery is:\n"+query + "\n");
        System.out.println("\n\ntest of a pred as variable, should pass\n");

        qe.executeQuery(query);



    }


}


